# Uses of Interface
org.apache.lucene.util.automaton.ByteRunnable

Packages that use ByteRunnable
Package
Description
org.apache.lucene.util.automaton
Finite-state automaton for regular expressions.

- ## Uses of ByteRunnable in org.apache.lucene.util.automaton

  Classes in org.apache.lucene.util.automaton that implement ByteRunnable
  Modifier and Type
  Class
  Description
  `class`
  `ByteRunAutomaton`
  Automaton representation for matching UTF-8 byte[].
  `class`
  `NFARunAutomaton`
  A RunAutomaton that does not require DFA.
  Methods in org.apache.lucene.util.automaton that return ByteRunnable
  Modifier and Type
  Method
  Description
  `ByteRunnable`
  CompiledAutomaton.`getByteRunnable()`
  Get a `ByteRunnable` instance, it will be different depending on whether a NFA or DFA is passed in, and does not guarantee returning non-null object